KD SOAP API Documentation: KDSoapServerThread Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
KDSoapServerThread Class Reference

`#include <KDSoapServerThread_p.h>`

Inheritance diagram for KDSoapServerThread:
[legend]
Collaboration diagram for KDSoapServerThread:
[legend]

## Public Member Functions
| KDSoapServerThread (QObject *parent=0)
| ~KDSoapServerThread ()
void | disconnectSocketsForServer (KDSoapServer *server, QSemaphore &semaphore)
void | handleIncomingConnection (int socketDescriptor, KDSoapServer *server)
void | quitThread ()
void | resetTotalConnectionCountForServer (const KDSoapServer *server)
int | socketCount () const
int | socketCountForServer (const KDSoapServer *server) const
void | startThread ()
int | totalConnectionCountForServer (const KDSoapServer *server) const
Public Member Functions inherited from QThread
| QThread (QObject *parent)
virtual | ~QThread ()
virtual bool | event (QEvent *event) override
QAbstractEventDispatcher * | eventDispatcher () const const
void | exit (int returnCode)
void | finished ()
bool | isFinished () const const
bool | isInterruptionRequested () const const
bool | isRunning () const const
int | loopLevel () const const
QThread::Priority | priority () const const
void | quit ()
void | requestInterruption ()
void | setEventDispatcher (QAbstractEventDispatcher *eventDispatcher)
void | setPriority (QThread::Priority priority)
void | setStackSize (uint stackSize)
uint | stackSize () const const
void | start (QThread::Priority priority)
void | started ()
void | terminate ()
bool | wait (QDeadlineTimer deadline)
bool | wait (unsigned long time)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
bool | blockSignals (bool block)
const QObjectList & | children () const const
QMetaObject::Connection | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const const
void | deleteLater ()
void | destroyed (QObject *obj)
bool | disconnect (const char *signal, const QObject *receiver, const char *method) const const
bool | disconnect (const QObject *receiver, const char *method) const const
void | dumpObjectInfo ()
void | dumpObjectInfo () const const
void | dumpObjectTree ()
void | dumpObjectTree () const const
QList< QByteArray > | dynamicPropertyNames () const const
virtual bool | eventFilter (QObject *watched, QEvent *event)
T | findChild (const QString &name, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QRegExp &regExp, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QRegularExpression &re, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QString &name, Qt::FindChildOptions options) const const
bool | inherits (const char *className) const const
void | installEventFilter (QObject *filterObj)
bool | isWidgetType () const const
bool | isWindowType () const const
void | killTimer (int id)
virtual const QMetaObject * | metaObject () const const
void | moveToThread (QThread *targetThread)
QString | objectName () const const
void | objectNameChanged (const QString &objectName)
QObject * | parent () const const
QVariant | property (const char *name) const const
| Q_CLASSINFO (Name, Value)
| Q_DISABLE_COPY (Class)
| Q_DISABLE_COPY_MOVE (Class)
| Q_DISABLE_MOVE (Class)
| Q_EMIT Q_EMIT
| Q_ENUM (...)
| Q_ENUM_NS (...)
| Q_ENUMS (...)
| Q_FLAG (...)
| Q_FLAG_NS (...)
| Q_FLAGS (...)
| Q_GADGET Q_GADGET
| Q_INTERFACES (...)
| Q_INVOKABLE Q_INVOKABLE
| Q_NAMESPACE Q_NAMESPACE
| Q_NAMESPACE_EXPORT (EXPORT_MACRO)
| Q_OBJECT Q_OBJECT
| Q_PROPERTY (...)
| Q_REVISION Q_REVISION
| Q_SET_OBJECT_NAME (Object)
| Q_SIGNAL Q_SIGNAL
| Q_SIGNALS Q_SIGNALS
| Q_SLOT Q_SLOT
| Q_SLOTS Q_SLOTS
T | qFindChild (const QObject *obj, const QString &name)
QList< T > | qFindChildren (const QObject *obj, const QRegExp &regExp)
QList< T > | qFindChildren (const QObject *obj, const QString &name)
T | qobject_cast (const QObject *object)
T | qobject_cast (QObject *object)
| QT_NO_NARROWING_CONVERSIONS_IN_CONNECT QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
void | removeEventFilter (QObject *obj)
void | setObjectName (const QString &name)
void | setParent (QObject *parent)
bool | setProperty (const char *name, const QVariant &value)
bool | signalsBlocked () const const
int | startTimer (int interval, Qt::TimerType timerType)
int | startTimer (std::chrono::milliseconds time, Qt::TimerType timerType)
QThread * | thread () const const

## Protected Member Functions
virtual void | run () override
Protected Member Functions inherited from QThread
int | exec ()
Protected Member Functions inherited from QObject
virtual void | childEvent (QChildEvent *event)
virtual void | connectNotify (const QMetaMethod &signal)
virtual void | customEvent (QEvent *event)
virtual void | disconnectNotify (const QMetaMethod &signal)
bool | isSignalConnected (const QMetaMethod &signal) const const
int | receivers (const char *signal) const const
QObject * | sender () const const
int | senderSignalIndex () const const
virtual void | timerEvent (QTimerEvent *event)

## Additional Inherited Members
Public Types inherited from QThread
enum | Priority
Static Public Member Functions inherited from QThread
QThread * | create (Function &&f)
QThread * | create (Function &&f, Args &&... args)
QThread * | currentThread ()
Qt::HANDLE | currentThreadId ()
int | idealThreadCount ()
void | msleep (unsigned long msecs)
void | sleep (unsigned long secs)
void | usleep (unsigned long usecs)
void | yieldCurrentThread ()
Static Public Member Functions inherited from QObject
QMetaObject::Connection | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, const QObject *context, Functor functor, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, const QObject *receiver, PointerToMemberFunction method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, Functor functor)
bool | disconnect (const QMetaObject::Connection &connection)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
bool | disconnect (const QObject *sender, PointerToMemberFunction signal, const QObject *receiver, PointerToMemberFunction method)
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
Public Attributes inherited from QThread
| HighestPriority
| HighPriority
| IdlePriority
| InheritPriority
| LowestPriority
| LowPriority
| NormalPriority
| TimeCriticalPriority
Public Attributes inherited from QObject
typedef | QObjectList
Static Protected Member Functions inherited from QThread
void | setTerminationEnabled (bool enabled)
Properties inherited from QObject
| objectName

## Detailed Description

Definition at line 50 of file KDSoapServerThread_p.h.

## Constructor & Destructor Documentation

## ◆ KDSoapServerThread()

KDSoapServerThread::KDSoapServerThread | ( | QObject * | parent = `0` | ) |
| explicit

Definition at line 17 of file KDSoapServerThread.cpp.

References QObject::qobject_cast().

## ◆ ~KDSoapServerThread()

KDSoapServerThread::~KDSoapServerThread | ( |  | ) |

Definition at line 25 of file KDSoapServerThread.cpp.

## Member Function Documentation

## ◆ disconnectSocketsForServer()

void KDSoapServerThread::disconnectSocketsForServer | ( | KDSoapServer * | server,
|  | QSemaphore & | semaphore
| ) |  |

Definition at line 69 of file KDSoapServerThread.cpp.

References QMetaObject::invokeMethod().

## ◆ handleIncomingConnection()

void KDSoapServerThread::handleIncomingConnection | ( | int | socketDescriptor,
|  | KDSoapServer * | server
| ) |  |

Definition at line 89 of file KDSoapServerThread.cpp.

References KDSoapServerThreadImpl::addIncomingConnection(), and QMetaObject::invokeMethod().

## ◆ quitThread()

void KDSoapServerThread::quitThread | ( |  | ) |

Definition at line 84 of file KDSoapServerThread.cpp.

References QMetaObject::invokeMethod().

## ◆ resetTotalConnectionCountForServer()

void KDSoapServerThread::resetTotalConnectionCountForServer | ( | const KDSoapServer * | server | ) |

Definition at line 62 of file KDSoapServerThread.cpp.

References KDSoapServerThreadImpl::resetTotalConnectionCountForServer().

## ◆ run()

void KDSoapServerThread::run | ( |  | ) |
| overrideprotectedvirtual

Reimplemented from QThread.

Definition at line 29 of file KDSoapServerThread.cpp.

References QThread::exec(), QObject::qobject_cast(), and QSemaphore::release().

## ◆ socketCount()

int KDSoapServerThread::socketCount | ( |  | ) | const

Definition at line 38 of file KDSoapServerThread.cpp.

References KDSoapServerThreadImpl::socketCount().

## ◆ socketCountForServer()

int KDSoapServerThread::socketCountForServer | ( | const KDSoapServer * | server | ) | const

Definition at line 46 of file KDSoapServerThread.cpp.

References KDSoapServerThreadImpl::socketCountForServer().

## ◆ startThread()

void KDSoapServerThread::startThread | ( |  | ) |

Definition at line 78 of file KDSoapServerThread.cpp.

References QSemaphore::acquire(), and QThread::start().

## ◆ totalConnectionCountForServer()

int KDSoapServerThread::totalConnectionCountForServer | ( | const KDSoapServer * | server | ) | const

Definition at line 54 of file KDSoapServerThread.cpp.

References KDSoapServerThreadImpl::totalConnectionCountForServer().

The documentation for this class was generated from the following files:

- KDSoapServerThread_p.h
- KDSoapServerThread.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8